Bug 1575892 - [DOCS] Document the feature about generic object count quota
Summary: [DOCS] Document the feature about generic object count quota
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Wang Haoran
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 08:21 UTC by Wang Haoran
Modified: 2018-06-13 16:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 16:35:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wang Haoran 2018-05-08 08:21:14 UTC
Document URL: 
https://docs.openshift.org/latest/dev_guide/compute_resources.html
Section Number and Name: 

Describe the issue: 
k8s upstream doc:https://kubernetes.io/docs/concepts/policy/resource-quotas/#object-count-quota
Suggestions for improvement: 

Additional information:

Comment 3 Michael Burke 2018-05-10 19:25:54 UTC
@wang -- Is this a new feature or does the quota feature just cover more resources? 

The list of supported resources in the upstream Kubernetes doc on Object count Quotas matches what we have in the docs. 

https://kubernetes.io/docs/concepts/policy/resource-quotas/#object-count-quota

And, the syntax doesn't look different. 

Do we just need to add a release note to 3.9 docs, or am I missing something?

From the dev PR [1]:
"Object count quotas supported on all standard resources using `count/<resource>.<group>` syntax"

I am not clear on what the Trello is adding. 

[1] https://github.com/kubernetes/kubernetes/pull/54320#issuecomment-338328848

Comment 4 Michael Burke 2018-05-10 19:32:12 UTC
3.9 docs Quota topic:
https://docs.openshift.com/container-platform/3.9/admin_guide/quota.html

Comment 5 Wang Haoran 2018-05-14 02:25:23 UTC
@Michael, in k8s 1.9, openshift 3.9, we have an new way to implement object count quota, this is an generic way that supported all the standard namespaced resource types, the docs we have really works, but we should mention that we support all the k8s and openshift related resource types, like openshift BuildConfig, DeploymentConfig, with an syntax "count/<resource>.<group>", we didn't need document the all the resource types, but we need tell user we support all of them, and how the user can use this feature.


Note You need to log in before you can comment on or make changes to this bug.